/*
 * bsp_motor.c
 *
 *  Created on: 20241130
 *      Author: 123
 */
#include "bsp_motor.h"
#include "bsp_valve.h"

//uint8_t motor_state = 0;
valve_state valve_status = {0};
void BSP_MOTOR_Init(void)
{
    // GPIOA_ResetBits(COIL_ADC);
    // GPIOA_ModeCfg(COIL_ADC, GPIO_ModeOut_PP_5mA);

    GPIOB_ResetBits(COIL_A);
    GPIOB_ModeCfg(COIL_A, GPIO_ModeOut_PP_5mA);

    GPIOB_ResetBits(COIL_B);
    GPIOB_ModeCfg(COIL_B, GPIO_ModeOut_PP_5mA);

    VALVE_CLOSE();
}
void VALVE_OPEN(void)
{
    // GPIOA_SetBits(COIL_ADC);
    //IN1 + ; IN2 -
    GPIOB_SetBits(COIL_A);
    GPIOB_ResetBits(COIL_B);
    valve_status.motor_state = 1;
    gValveData.switch_status = kOpened;
}

void VALVE_CLOSE(void)
{
    // GPIOA_SetBits(COIL_ADC);
    //IN1 - ; IN2 +
    GPIOB_ResetBits(COIL_A);
    GPIOB_SetBits(COIL_B);
    valve_status.motor_state = 0;
    gValveData.switch_status = kClosed;
}

void VALVE_STOP(void)
{
    // GPIOA_ResetBits(COIL_ADC);
    //IN1 + ; IN2 +
    GPIOB_SetBits(COIL_A);
    GPIOB_SetBits(COIL_B);
}

    
